Jump to content
docmusicstation

Probleme mise a jour en 1.6.1.16

Recommended Posts

Bonjour 

J'ai fait backup de mon site en local  et testé la mise a jour en 1.6.1.16   pas de soucis tout fonctionne bien

Or quand je veux mettre a jour le site en production  dans le module 1 click upgrade j'ai ce message : 

 

Vous venez du futur ! Vous utilisez une version plus récente que la dernière disponible !  

 

Je precise pour avoir lu un sujet qui ressemble que je n'ai pas le module disableupgrademodule d'installé. 

 

le fichier settings .inc  indique bien 1.6.1.15    et la table ps_configuration indique bien aussi 1.6.1.15 

 

Alors que je suis en 1.6.1.15  et bien entendu il ne me trouve pas la version 1.6.1.16 ... 

Edited by docmusicstation (see edit history)

Share this post


Link to post
Share on other sites

Apres essais de desinstallation / reinstallation du module autoupgrade 

Impossible de reinstaller le module il me dit qu 'il est deja installé ....  

Share this post


Link to post
Share on other sites

Apres avoir vidé les fichiers dans le répertoire config/xml, réinstallation du module autoupgrade 

 

Mais toujours le meme message : 

 

Vous venez du futur ! Vous utilisez une version plus récente que la dernière disponible !  

Edited by docmusicstation (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

Salut docmusicstation,

 

Ton backup est sous quelle version ?

Bonjour Alexandre

 

Il est en version 1.6.1.16   c'est la version sur laquelle j'ai fait le test en local vers la 1.6.1.16 

J'ai aussi un backup des fichiers de la 1.6.1.15  

Dans le module 1 click il manque la version de la branche (carré rouge sur l'impression d'ecran)  alors que cette information est bien dans la table ps_configuration 

post-783199-0-51346600-1502555058_thumb.jpg

Edited by docmusicstation (see edit history)

Share this post


Link to post
Share on other sites

Je progresse peu a peu sur mon soucis.

Cet am j'ai fait tourner en local une version 1.6.1.15 que j'avais sauvegardé il y a quelques jour    avec la base de donnée actuelle (sauvegarde et installation en local)

Le probleme de mise a jour impossible est disparu ....  cela provient donc d'un fichier ou module   la BDD est hors de cause 

Share this post


Link to post
Share on other sites

Cet am j'ai fait tourner en local la version 1.6.1.15 du serveur en production    avec la base de donnée actuelle (sauvegarde et installation en local)(la meme qu'utilisée hier = 

Le probleme a disparu. je peux lancer la mise a jour vers la 1.6.1.16 

J'en conclus que ce probleme est genéré par les fichiers du cache       cache/smarty/cache  et cache/sarty/compile 

 

Ma question ;  comment effacer ces fichiers sur le serveur sans risque ?  juste en ftp et les supprimer ?  et relancer le serveur ensuite ? 

Share this post


Link to post
Share on other sites

Le problème que vous aviez concernait la liaison à Addons (qui visiblement était impossible) Pas de n° de version ni de diff possible.

 

Donc version addons = 0

votre version apparait comme étant supérieure à celle dispo ce qui fait de vous un extra-terrestre.

 

Dans ces cas là, téléchargez l'archive et mettez-la dans le répertoire du module comme indiqué.

Share this post


Link to post
Share on other sites

Le problème que vous aviez concernait la liaison à Addons (qui visiblement était impossible) Pas de n° de version ni de diff possible.

 

Donc version addons = 0

votre version apparait comme étant supérieure à celle dispo ce qui fait de vous un extra-terrestre.

 

Dans ces cas là, téléchargez l'archive et mettez-la dans le répertoire du module comme indiqué.

Bonsoir 

Merci pour votre reponse . Je m'en occupe des que possible.

Bonne soirée 

Share this post


Link to post
Share on other sites

Re

Mise a jour faite directement a partir d une archive 

Mais le probleme reste le meme   toujours pas d affichage de Dernière version officielle pour le canal major ! 

Les memes fichiers installés en local fonctionnent bien et indique la version ;)  

Mes soupcons se portent sur le firewall de l hebergeur   et le fichier de config ....

Share this post


Link to post
Share on other sites

Re 

Probleme enfin corrigé !  

Ca n'as pas été sans mal  et surtout sans aide ! 

 

Creation d 'un repertoire www2 sur le serveur et installation des fichiers provenant d'une sauvegarde anterieure a mon probleme.

Recuperation d'une sauvegarde BDD du debut du mois , creation d'une nouvelle BDD , user et MdP ...   restauration de cette BDD dans la nouvelle.

Ensuite recuperation des tables dans la base qui tournait actuellement selon la procédure expliquée ici :  

https://www.team-ever.com/un-prestashop-neuf-sans-perte-de-donnees/

 

J'y ai inclus les tables ps_comment    afin de ne pas perdre les commentaires sur les produits.

 

Bascule du repertoire www  vers www2  sur l'interface OVH  

Nettoyage du cache  et roule ma poule !  

Cela m'a permis de mettre hors de causse le module addonsblock de Samda   et de revenir a la version 1.40 du module cron de Samda (la mise a jour vers la version 2 ne fonctionnait pas terrible ! )

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More